<?php
// config.php
// Diese Datei geht davon aus, dass die $debugLogFile-Variable im aufrufenden Skript definiert wurde
require_once __DIR__ . '/logging_functions.php';

$cwd = getcwd();

$env = (strpos($cwd, 'DEVELOPMENT') !== false) ? 'test' : 'prod';

$debug = 'debug';

$tablePrefix = ($env === 'test') ? 'sc_test' : 'stolpersteine';

if ($env === 'prod' || isset($_GET['p'])) {
    $tablePrefix = 'stolpersteine';
}

$config = [
    'env' => $env,
    'debug' => $debug,
    'tablePrefix' => $tablePrefix,
];

// Logging der Konfigurationsdetails mit der bereitgestellten Log-Datei
internal_debug_log("--- " . basename(__FILE__) . " START ---", $debugLogFile);
internal_debug_log("Konfigurationsparameter geladen. env: " . $config['env'] . ", tablePrefix: " . $config['tablePrefix'], $debugLogFile);

return $config;
?>